Name:           python-inmanta-dev-dependencies
Version:        2.169.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Package collecting all common dev dependencies of inmanta modules and extensions to synchronize dependency versions.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/inmanta-dev-dependencies/
Source:         %{pypi_source inmanta_dev_dependencies}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'inmanta-dev-dependencies' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-inmanta-dev-dependencies
Summary:        %{summary}

%description -n python3-inmanta-dev-dependencies %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-inmanta-dev-dependencies async,core,extension,module,pytest


%prep
%autosetup -p1 -n inmanta_dev_dependencies-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x async,core,extension,module,pytest


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-inmanta-dev-dependencies -f %{pyproject_files}


%changelog
%autochangelog